The RippleNet Server API provides you the ability to develop custom applications to manage or interact with your RippleNet instance.
Check out the best practices and tutorials.
The RippleNet Server API provides you the ability to develop custom applications to manage or interact with your RippleNet instance.
Check out the best practices and tutorials.
All API operations require a bearer access token for your target environment.<br>Learn how to request the access token.
The RippleNet Server API creates a dynamic [domainPrefix] that consists of {tenant}.{environment}.
Note: This example uses aperture as the tenant. Your tenant ID is different.
| Environment | Domaing Prefix | Domain | Base URL |
|---|---|---|---|
| Test | aperture.test | ripplexcurrent.com | https://aperture.test.ripplexcurrent.com |
| UAT | aperture.uat | ripplexcurrent.com | https://aperture.uat.ripplexcurrent.com |
| Production | aperture.prod | ripplexcurrent.com | https://aperture.prod.ripplexcurrent.com |
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/
https://[domainPrefix].ripplexcurrent.com/v4/
Filters for requests for payment whose range_field column value is before this specified time stamp (not inclusive). You can also specify after to create a time range between after and before. If before is specified, range_field must also be specified
Filters for requests for payment whose range_field column value is after this specified time stamp (not inclusive). You can also specify before to create a time range between after and before. If after is specified, range_field must also be specified.
Designates the column name of the requests for payment database table that is used for filtering payments before/after/between time stamps. For example, if you specify range_field=MODIFIED_AT, you would specify a time stamp (in the 24 character ISO 8601 YYYY-MM-DDTHH:mm:ss.sssZ format used in request for payment objects) as the value for before and/or after to fetch request for payment before, after, or between the specified time range(s) (not inclusive). If range_field is specified, before and/or after must also be specified.
Sorts result according to the specified direction.
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment
https://[domainPrefix].ripplexcurrent.com/v4/request_for_payment
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment?end_to_end_id=string&state=REQUESTED&sender_address=string&receiver_address=string&payment_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&before=string&after=string&range_field=CREATED_AT&sort_field=CREATED_AT&sort_direction=ASC&page=0&size=10' \
-H 'Authorization: YOUR_API_KEY_HERE'Successfully retrieves requests for payment matching query parameters.
Sort details of this page
Unique identifier of a request for payment.
State of the request for payment.
RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.
RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.
Indicates how the amount field should be treated for calculating quote values.
ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.
User-provided data with arbitrary key/value pairs.
User information optionally provided when sending the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when accepting the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when failing the request payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.
{ "first": true, "last": true, "number": 0, "numberOfElements": 0, "size": 0, "totalElements": 0, "totalPages": 0, "sort": [ { … } ], "content": [ { … } ] }
The request object to initiate a new request for payment.
RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.
RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.
Indicates how the amount field should be treated for calculating quote values.
ID that the eventual payment receiver can specify. Persisted on all rippleNet node instances (namely, the sender and receiver of the payment) that participate in the request for payment.
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment
https://[domainPrefix].ripplexcurrent.com/v4/request_for_payment
curl -i -X POST \
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"sender_address": "trans_usd_sf@rn.us.ca.san_francisco",
"receiver_address": "trans_gbp_lon@rn.eur.uk.london",
"amount": 100.01,
"currency": "USD",
"quote_type": "SENDER_AMOUNT",
"end_to_end_id": "string",
"user_info": {}
}'Successfully sent a request for payment resulting in a request for payment object in the REQUESTED state.
Unique identifier of a request for payment.
State of the request for payment.
RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.
RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.
Indicates how the amount field should be treated for calculating quote values.
ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.
User-provided data with arbitrary key/value pairs.
User information optionally provided when sending the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when accepting the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when failing the request payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ { … } ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}
https://[domainPrefix].ripplexcurrent.com/v4/request_for_payment/{request_for_payment_id}
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}' \
-H 'Authorization: YOUR_API_KEY_HERE'Successfully retrieves a request for payment by its ID.
Unique identifier of a request for payment.
State of the request for payment.
RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.
RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.
Indicates how the amount field should be treated for calculating quote values.
ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.
User-provided data with arbitrary key/value pairs.
User information optionally provided when sending the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when accepting the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when failing the request payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ { … } ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }
The request object to accept a request for payment.
Unique identifier of payment associated with the request for payment.
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}/accept
https://[domainPrefix].ripplexcurrent.com/v4/request_for_payment/{request_for_payment_id}/accept
curl -i -X POST \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}/accept' \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7",
"user_info": {}
}'Successfully accepts a request for payment resulting in a request for payment object in the ACCEPTED state.
Unique identifier of a request for payment.
State of the request for payment.
RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.
RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.
Indicates how the amount field should be treated for calculating quote values.
ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.
User-provided data with arbitrary key/value pairs.
User information optionally provided when sending the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when accepting the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when failing the request payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ { … } ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}/fail
https://[domainPrefix].ripplexcurrent.com/v4/request_for_payment/{request_for_payment_id}/fail
curl -i -X POST \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}/fail' \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"user_info": {}
}'Successfully fails a request for payment resulting in a request for payment object in the FAILED state.
Unique identifier of a request for payment.
State of the request for payment.
RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.
RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.
Indicates how the amount field should be treated for calculating quote values.
ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.
User-provided data with arbitrary key/value pairs.
User information optionally provided when sending the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when accepting the request for payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
User information optionally provided when failing the request payment.
User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.
Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.
Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ { … } ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/v4/orchestration/info
https://[domainPrefix].ripplexcurrent.com/v4/v4/orchestration/info
curl -i -X GET \
https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/v4/orchestration/info \
-H 'Authorization: YOUR_API_KEY_HERE'{ "name": "Integration Module", "version": "1.2.0" }